experiments.mario

## Class CopyOfMarioManager2Regression

- java.lang.Object
- - experiments.mario.CopyOfMarioManager2Regression

All Implemented Interfaces:
  StudiedSystem

    public class CopyOfMarioManager2Regression
    extends java.lang.Object
    implements StudiedSystem

The Class CopyOfMarioManager2Regression.

### Constructor Summary

Constructors
Constructor and Description
`CopyOfMarioManager2Regression()` Instantiates a new copy of mario manager 2 regression.

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `average(java.util.ArrayList<java.lang.Double> list)` Average.
`AMOEBA` `getAmoeba()` Gets the amoeba.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutput()` Gets the output.
`void` `playOneStep(double action)` When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.
`void` `putInTempList(java.lang.Double d, java.util.ArrayList<java.lang.Double> list)` Put in temp list.
`void` `setAmoeba(AMOEBA amoeba)` Sets the amoeba.
`void` `startMario()` Start mario.
`void` `switchControlMode()` Switch control mode.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyOfMarioManager2Regression

    public CopyOfMarioManager2Regression()

Instantiates a new copy of mario manager 2 regression.

### Method Detail

#### startMario

    public void startMario()

Start mario.

#### playOneStep

    public void playOneStep(double action)

Description copied from interface: `StudiedSystem`
When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.

Specified by:
  `playOneStep` in interface `StudiedSystem`
Parameters:
  `action` - : output action of AMOEBA.

#### getOutput

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutput()

Description copied from interface: `StudiedSystem`
Gets the output.

Specified by:
  `getOutput` in interface `StudiedSystem`
Returns:
  the output

#### switchControlMode

    public void switchControlMode()

Description copied from interface: `StudiedSystem`
Switch control mode.

Specified by:
  `switchControlMode` in interface `StudiedSystem`

#### getAmoeba

    public AMOEBA getAmoeba()

Gets the amoeba.

Returns:
  the amoeba

#### average

    public double average(java.util.ArrayList<java.lang.Double> list)

Average.

Parameters:
  `list` - the list
Returns:
  the double

#### putInTempList

    public void putInTempList(java.lang.Double d,
                              java.util.ArrayList<java.lang.Double> list)

Put in temp list.

Parameters:
  `d` - the d
  `list` - the list

#### setAmoeba

    public void setAmoeba(AMOEBA amoeba)

Sets the amoeba.

Parameters:
  `amoeba` - the new amoeba